Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.io.phyloxml
Class PhyloXMLFilter

    java.lang.Object
      javax.swing.filechooser.FileFilter
          info.bioinfweb.treegraph.document.io.AbstractFilter
              info.bioinfweb.treegraph.document.io.AbstractXMLFilter
                  info.bioinfweb.treegraph.document.io.phyloxml.PhyloXMLFilter

All Implemented Interfaces:
  DocumentFilter, PhyloXMLConstants, FileFilter

    public class PhyloXMLFilter

extends AbstractXMLFilter
implements DocumentFilter, PhyloXMLConstants

Since:
  2.0.35
Author:
  Ben Stöver

Field Summary

Fields inherited from class info.bioinfweb.treegraph.document.io.AbstractXMLFilter
`XML_EXTENSION`

Fields inherited from interface info.bioinfweb.treegraph.document.io.phyloxml.PhyloXMLConstants
`ATTR_BRANCH_LENGTH, ATTR_BRANCH_LENGTH_UNIT, ATTR_ROOTED, ATTR_TYPE, BRANCH_WIDT_DATA_NAME, DEFAULT_CONFIDENCE_NAME, DEFAULT_TREE_NAME, ID_PREFIX, NAMESPACE_URI, TAG_ACCESSION, TAG_AUTHORITY, TAG_BRANCH_LENGTH, TAG_CLADE, TAG_CODE, TAG_COLOR_BLUE, TAG_COLOR_GREEN, TAG_COLOR_RED, TAG_COMMON_NAME, TAG_CONFIDENCE, TAG_DATE, TAG_DESCRIPTION, TAG_DISTRIBUTION, TAG_LINE_COLOR, TAG_LINE_WIDTH, TAG_LOCATION, TAG_MAX, TAG_MIN, TAG_NAME, TAG_PHYLOGENY, TAG_RANK, TAG_ROOT, TAG_SCIENTIFIC_NAME, TAG_SEQUENCE, TAG_SYMBOL, TAG_SYNONYM, TAG_TAXONOMY, TAG_VALUE`

Constructor Summary
`PhyloXMLFilter()`

Method Summary
`String` | `getDefaultExtension()`
`String` | `getDescription()`
`boolean` | `validExtension(String name)`

Methods inherited from class info.bioinfweb.treegraph.document.io.AbstractXMLFilter
`accept`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.document.io.DocumentFilter
`accept`

Constructor Detail

### PhyloXMLFilter

    public PhyloXMLFilter()

Method Detail

### validExtension

    public boolean validExtension(String name)

  Specified by:
    `validExtension` in interface `DocumentFilter`

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in interface `DocumentFilter`
  Specified by:
    `getDescription` in class `FileFilter`

### getDefaultExtension

    public String getDefaultExtension()

  Specified by:
    `getDefaultExtension` in interface `DocumentFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD